Update a report template
PUT /api/2.0/project/report/{reportid:[0-9]+}
Updates the selected project report template with the parameters specified in the request.
Request body
reportid
type: integer
Report template ID
Example: 0
name
type: string
New report name
Example: "string"
period
type: string
New report generation period: Day/Week/Month
Example: "string"
periodItem
type: integer
New period item: day of the week (for a weekly report, starting with Sunday), day of the month (for a monthly report)
Example: 0
hour
type: integer
New report sending time (in hours)
Example: 0
autoGenerated
type: boolean
Specifies if a report will be automatically generated or not
Example: true
reportType
type: integer
New report type
Example: 0
tag
type: integer
New report tag
Example: 0
project
type: integer
New report project
Example: 0
status
type: integer[]
New task status
departament
type: string
New department/group GUID
Example: "string"
userId
type: string
New user GUID
Example: "string"
reportTimeInterval
type: integer
New report time interval
Example: 0
fromDate
type: string
New report period start date
Example: "string"
toDate
type: string
New report period end date
Example: "string"
viewType
type: integer
New view type: by group or by project
Example: 0
noResponsible
type: boolean
Specifies if the tasks without responsibles will be shown or hidden
Example: true
Request example
{
"reportid": 0,
"name": "string",
"period": "string",
"periodItem": 0,
"hour": 0,
"autoGenerated": true,
"reportType": 0,
"tag": 0,
"project": 0,
"status": [
0
],
"departament": "string",
"userId": "string",
"reportTimeInterval": 0,
"fromDate": "string",
"toDate": "string",
"viewType": 0,
"noResponsible": true
}
Returns
Updated project report template. A request that is not authenticated returns 401.
AutoGenerated
type: boolean
Example: true
Cron
type: string
Example: "Cron"
ReportType
type: "MilestonesExpired" | "MilestonesNearest" | "UsersWithoutActiveTasks" | "ProjectsWithoutActiveMilestones" | "ProjectsWithoutActiveTasks" | "UsersActivity" | "UsersWorkload" | "ProjectsList" | "TimeSpend" | "TasksByProjects" | "TasksByUsers" | "TasksExpired" | "EmptyReport"
[0 - MilestonesExpired, 1 - MilestonesNearest, 2 - UsersWithoutActiveTasks, 3 - ProjectsWithoutActiveMilestones, 4 - ProjectsWithoutActiveTasks, 5 - UsersActivity, 6 - UsersWorkload, 7 - ProjectsList, 8 - TimeSpend, 9 - TasksByProjects, 10 - TasksByUsers, 11 - TasksExpired, 12 - EmptyReport]
Example: 0
Filter
type: string
Example: "Filter"
Created
type: string
Example: "2020-12-22T04:11:56.5658524Z"
CreatedBy
type: EmployeeWraper
CreatedById
type: string
Example: "00000000-0000-0000-0000-000000000000"
Updated
type: string
Example: "2020-12-22T04:11:56.5658524Z"
UpdatedBy
type: EmployeeWraper
UpdatedById
type: string
Example: "00000000-0000-0000-0000-000000000000"
Id
type: integer
Example: 10
Title
type: string
Example: "Sample Title"
Description
type: string
Example: "Sample description"
Status
type: integer
Example: 0
Responsible
type: EmployeeWraper
ResponsibleId
type: string
Example: "00000000-0000-0000-0000-000000000000"
Response example
{
"AutoGenerated": true,
"Cron": "Cron",
"ReportType": 0,
"Filter": "Filter",
"Created": "2020-12-22T04:11:56.5658524Z",
"CreatedBy": {
"Id": "00000000-0000-0000-0000-000000000000",
"DisplayName": "Mike Zanyatski",
"Title": "Manager",
"AvatarSmall": "url to small avatar",
"ProfileUrl": "/Products/People/Profile.aspx?user=administrator"
},
"CreatedById": "00000000-0000-0000-0000-000000000000",
"Updated": "2020-12-22T04:11:56.5658524Z",
"UpdatedBy": {
"Id": "00000000-0000-0000-0000-000000000000",
"DisplayName": "Mike Zanyatski",
"Title": "Manager",
"AvatarSmall": "url to small avatar",
"ProfileUrl": "/Products/People/Profile.aspx?user=administrator"
},
"UpdatedById": "00000000-0000-0000-0000-000000000000",
"Id": 10,
"Title": "Sample Title",
"Description": "Sample description",
"Status": 0,
"Responsible": {
"Id": "00000000-0000-0000-0000-000000000000",
"DisplayName": "Mike Zanyatski",
"Title": "Manager",
"AvatarSmall": "url to small avatar",
"ProfileUrl": "/Products/People/Profile.aspx?user=administrator"
},
"ResponsibleId": "00000000-0000-0000-0000-000000000000"
}